<ServerManagerConfiguration>
  <ProxyGroup name="settings">

    <SettingsProxy name="ACE3PSettings" label="ACE3P"
      processes="client|dataserver|renderserver">
      <Documentation>
        Settings for the ACE3P Plugin
      </Documentation>

      <StringVectorProperty
        name="CubitPath"
        label="CUBIT"
        number_of_elements="1"
        default_values=""
        panel_visibility="default">
        <Documentation>
          The path to the CUBIT executable.
        </Documentation>
        <FileListDomain name="files" />
      </StringVectorProperty>

      <IntVectorProperty
        name="NewProjectLocationMode"
        label="New Project Location Mode"
        number_of_elements="1"
        default_values="0"
        panel_visibility="default">
        <Documentation>
          By default, the new-project wizard will start with the most
          recently used project location. An option is provided here to
          instead start at the application's current working directory.
          This option is primarily intended for linux users that run
          modelbuilder from a terminal, but is available to all users.
        </Documentation>
        <EnumerationDomain name="enum">
          <Entry text="previous location" value="0" />
          <Entry text="current working directory" value="1" />
        </EnumerationDomain>
      </IntVectorProperty>

      <StringVectorProperty
        name="LastProjectLocation"
        number_of_elements="1"
        default_values=""
        panel_visibility="never">
        <Documentation>
          The path used for the last "new property" operation.
        </Documentation>
        <FileListDomain name="files" />
      </StringVectorProperty>

      <StringVectorProperty
        name="LastMeshFileDirectory"
        number_of_elements="1"
        default_values=""
        panel_visibility="never">
        <Documentation>
          The path used for selecting the mesh file for a "new property" operation.
        </Documentation>
        <FileListDomain name="files" />
      </StringVectorProperty>
      <Hints>
        <UseDocumentationForLabels />
      </Hints>
    </SettingsProxy>

  </ProxyGroup>
</ServerManagerConfiguration>
